## liboprf 0.1+git20231001.0da3e2b

=== debian/changelog ===
liboprf (0.1+git20231001.0da3e2b-1) unstable; urgency=low

  * New upstream git snapshot (thanks again Thorsten Alteholz for
    meticulous checking of upstream sources):
    - oprf.c, toprf.c, toprh.h: [mod] changed license header in .c files
    - [fix] license text in oprf.c and toprf.h

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 04 Oct 2023 16:07:26 +0200

liboprf (0.1+git20230911.647f148-2) unstable; urgency=low

  * Reupload as source only in order to enter Debian/testing.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 29 Sep 2023 19:34:51 +0200

liboprf (0.1+git20230911.647f148-1) unstable; urgency=low

  * New upstream git snapshot (thanks to Thorsten Alteholz for meticulous
    checking of upstream sources):
    - oprf.c, toprf.c, toprf.h: [fix] (c) headers
  * Initial release.  (Closes: #1049347)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Mon, 18 Sep 2023 20:32:12 +0200

liboprf (0.1+git20230829.04fcb6a-2) unstable; urgency=low

  * d/liboprf-dev.docs: install upstream README.md.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 02 Sep 2023 06:35:25 +0200

liboprf (0.1+git20230829.04fcb6a-1) unstable; urgency=low

  * This release was never uploaded.
  * New upstream git snapshot:
    - makefile: install both liboprf.so and liboprf.so.0
  * debian/liboprf0.install: adjust liboprf.so to liboprf.so.0.
  * debian/not-installed: added: we take care of the liboprf.so ->
    liboprf.so.0 symlink in debian/liboprf-dev.links, we do not use the
    upstream makefile for that.
  * liboprf-dev.install: deal with liboprf.a.
  * d/rules: seems hardcoded -lsodium is now needed.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 01 Sep 2023 10:01:05 +0200

liboprf (0.1+git20230828.e8bbdbd-1) unstable; urgency=low

  * This release was never uploaded.
  * New upstream git snapshot:
    - set soname to liboprf.so.0

 -- Joost van Baal-Ilić <joostvb@debian.org>  Mon, 28 Aug 2023 06:50:57 +0200

liboprf (0.1+git20230824.c0ad5ea-1) unstable; urgency=low

  * This release was never uploaded.
  * New upstream git snapshot:
    - Don't use "cp" to install, but use "install -D": do not assume parent
      directories exist.
    So we no longer carry d/patches/makefile.patch.
  * d/control: liboprf-dev shorten synopsis, tnx lintian.
  * d/control: add Build-Depends dh-exec (>=0.3), as used in d/*install.
  * d/control: add missing Build-Depends libsodium-dev.
  * d/liboprf-dev.install: fix paths, deal with dkg.h and liboprf.a.
    tnx dh_missing.
  * d/liboprf-dev.links: as in libsphinx-dev.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 27 Aug 2023 09:05:04 +0200

liboprf (0.1+git20230823.0e0197e-1) unstable; urgency=low

  * This release was never uploaded.
  * New upstream git snapshot:
    - fixed license: now consistently LGPL
    - DESTDIR support in makefile

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 24 Aug 2023 15:53:02 +0200

liboprf (0.1-2) unstable; urgency=low

  * This release was never uploaded.
  * d/control: use same address for stef as in related packages.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 20 Aug 2023 10:41:16 +0200

liboprf (0.1-1) unstable; urgency=low

  * This release was never uploaded.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 19 Aug 2023 07:56:19 +0200
