=== debian/control ===
Source: liboprf
Section: utils
Priority: optional
Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
Uploaders: Stefan Marsiske <jdx5yg90@ctrlc.hu>
Build-Depends: debhelper-compat (= 13), dh-exec (>=0.3), pkgconf, libequihash-dev, libsodium-dev
Standards-Version: 4.5.1
Homepage: https://github.com/stef/liboprf
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/liboprf
Vcs-Git: https://salsa.debian.org/debian/liboprf.git

Package: liboprf0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Oblivious Pseudo-Random Functions and Threshold OPRF library
 This library implements the basic OPRF (ristretto255, SHA-512) variant from the
 "Oblivious Pseudorandom Functions using Prime-Order Groups" Draft from the IRTF
 Crypto Forum Research Group (https://github.com/cfrg/draft-irtf-cfrg-voprf/).
 Additionally it implements a threshold OPRF based on "TOPPSS: Cost-minimal
 Password-Protected Secret Sharing based on Threshold OPRF" by Krawczyk et al
 (https://ia.cr/2017/363).

Package: liboprf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: OPRF and Threshold OPRF library - C development files
 This library implements the basic OPRF (ristretto255, SHA-512) variant from the
 "Oblivious Pseudorandom Functions using Prime-Order Groups" Draft from the IRTF
 Crypto Forum Research Group (https://github.com/cfrg/draft-irtf-cfrg-voprf/).
 Additionally it implements a threshold OPRF based on "TOPPSS: Cost-minimal
 Password-Protected Secret Sharing based on Threshold OPRF" by Krawczyk et al
 (https://ia.cr/2017/363).
 .
 liboprf-dev delivers C development files for liboprf.
