=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -fPIC
export DEB_LDFLAGS_MAINT_APPEND = -lsodium

%:
	dh $@ -p liboprf-dev -p liboprf0

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
