## liboprf 0.4.0

=== debian/changelog ===
liboprf (0.4.0-1) unstable; urgency=low

  * New upstream, shipped Sept 28, 2024:
    - python/setup.py: [mod] added install_requires to setup.py
    - python/pyoprf/__init__.py: [fix] ugly workaround to have
        DKG_TP_*State structs 32B aligned
    - python/test.py: [enh] combinatorically testing all combinations of
        3hashtdh results
    - python/pyoprf/__init__.py, python/test.py, src/toprf.c, src/toprf.h:
        [enh] added native implementation of 3hashtdh to liboprf
    - python/3hashtdh.py: [enh] added 3hashtdh PoC
    - src/makefile: [fix] don't set funky hardening on intel darwin
    - src/makefile, src/noise_xk/example/makefile, src/noise_xk/makefile,
        src/tests/makefile: [fix] parisc* arch doesn't support clash protection
    - python/pyoprf/__init__.py: [fix] wrong peers_len in pyoprf
    - README.md: [doc] referenced also the GJKNX24 paper in the readme
    - python/{ => examples}/3hashtdh.py, python/{ => examples}/tpdkg_test.py,
        python/test.py, python/tests/test.py: [enh] converted basic tests into
        proper python unittests
    - python/authorized_keys: [mod] removed obsolete authorized_keys file from
        python/

  * d/patches/series: drop 0004-fix-fcf-protection-full_error.patch: included
    upstream

  * d/control: drop libequihash-dev from Build-Depends: ; add python3-pysodium,
    liboprf0t64 to python3-pyoprf Depends: , cf
    https://salsa.debian.org/debian/liboprf/-/merge_requests/1 . Thanks stef.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 29 Sep 2024 09:59:53 +0200

liboprf (0.3.2-3) unstable; urgency=low

  * d/patches/0004-fix-fcf-protection-full_error.patch: add patch contributed
    by Gui-Yue <yuemeng.gui@g.c>.  (And drop the incomplete
    0002-fcf-protection.patch .)  This fixes some of the build errors on
    some arches, and partly fixes #1081819.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 18 Sep 2024 14:13:20 +0200

liboprf (0.3.2-2) unstable; urgency=low

  * d/patches: add 0002-fcf-protection.patch taken from upstream.  (Should) fix
    builds on arm64, armel, armhf, mips64el, ppc64el, riscv64 and s390x.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 15 Sep 2024 09:08:07 +0200

liboprf (0.3.2-1) unstable; urgency=low

  * New upstream, shipped Sept 5, 2024.
    - d/patches/{0001-default-source.patch,0002-default-source.patch}: drop:
      now shipped with upstream.
    - d/rules: drop explicit -D_DEFAULT_SOURCE from CFLAGS and CPPFLAGS: no
      longer needed for build in src/test: upstream makefile got adjusted.

  * d/copyright: record license information of src/noise_xk/include/karmel/*.

  * d/liboprf-dev.install: executable, install liboprf{,-noiseXK}.a in arch
    specific directory usr/lib/${DEB_HOST_MULTIARCH}/ .
  * d/liboprf-dev.links: install symlink liboprf-noiseXK.so ->
    liboprf-noiseXK.so.0.
  * d/liboprf0t64.install: executable.

  * d/python3-pyoprf.install: executable.
  * d/control: add dh-python, python3-setuptools to Build-Depends.
  * d/control: add python3:any to python3-pyoprf Depends.
  * d/rules: add --with python3 to dh_auto_configure and to dh.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 14 Sep 2024 15:48:15 +0200

liboprf (0.3.1-1) unstable; urgency=low

  * This release was never uploaded.

  * New upstream, shipped Aug 31, 2024.  (Missed 0.2.0 which shipped Dec 7,
    2023; missed 0.3.0 which shipped Aug 21, 2024.)

  * d/rules: add --sourcedirectory=src: new upstream source layout.
  * d/liboprf-dev.install: we no longer ship liboprf.a, but liboprf-noiseXK.a.
    We now also ship usr/include/oprf/noiseXK/ and
    usr/include/oprf/noiseXK/karmel/krml/ .
  * d/liboprf0t64.install: install new usr/lib/liboprf-noiseXK.so.0
  * d/not-installed: add usr/lib/liboprf-noiseXK.so

  * d/control: ship new binary package python3-pyoprf: Python 3 bindings.
  * d/control: add python3-all to build-depends.
  * d/rules: build new python3 binary package: add explicit "dh_auto_configure",
    add extra dh_auto_install call.
  * d/rules: explicitly set PYBUILD_SYSTEM.
  * d/python3-pyoprf.install: added.
  * d/not-installed: add usr/lib/python*/dist-packages/pyoprf/__pycache__/

  * d/patches/0001-default-source.patch: add: cherry picked from upstream.
  * d/patches/0002-default-source.patch: add: cherry picked from upstream: fix
    build of tp-dkg-corrupt, do no longer set CFLAGS unconditionally.
  * d/rules: add -D_DEFAULT_SOURCE to CPPFLAGS: needed for build in src/test.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 01 Sep 2024 18:06:39 +0200

liboprf (0.1+git20231001.0da3e2b-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062555

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 16:06:06 +0000
