## liboprf 0.6.1

=== debian/changelog ===
liboprf (0.6.1-1) unstable; urgency=medium

  * New upstream, shipped Jan 13, 2025:
    - [fix] make noise_xk makefile cflags ?= not += for packagers
    This should finally fix "unconditionally sets FORTIFY_SOURCE=2 flag".
    Thanks to Gianfranco Costamagna and Gui-Yue.  Closes: #1091671

  * d/rules: add a bunch of paths to -I in CFLAGS: deal with
    src/noise_xk/makefile and src/noise_xk/example/makefile.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 15 Jan 2025 07:23:06 +0100

liboprf (0.6.0-1) unstable; urgency=medium

  * This release was never uploaded.
  * New upstream, shipped Jan 7, 2025. Changes in 0.6.0 and
    0.5.0, which shipped Jan 2, 2025:
    [fix] added also tpdkg_peerstate_step() needed by any peer
    [fix] replaced the hardcoded 64bit state structs in python with getters in
     c, making the whole of it much more portable if using python
    [fix] pyoprf tpdkg now works on i686
    [mod] define log_file as extern in tp-dkg.h
    [mod] flush logfile in dump()
    [enh] correctly working vsps check tests
    [enh] added some more trace msgs in case of unit testing to toprf.c
    [enh] added working toprf_mpc_vsps_check()
    [doc] added short comment to dkg.c:polynom()
    [doc] small fixes to tp-update.txt
    [enh] if UNIT_TEST warn only once for non random generator
    [doc] formatting in tp-dkg
    [mod] need to -U fortify source first
    [mod] using consistently -D_FORTIFY_SOURCE=3 everywhere
    [mod] toprf_thresholdcombine() returns 1 on error
    [fix] indexing correctly the indexes array
    [mod] bruteforcing vsps_check
    [mod] trying to get t right
    [mod] trying to implement vsps test from GRR98
    [mod] simplified slightly test makefile
    [enh] aded invertedVDMmatrix() wrapping and hiding genVDM and invert in
     mpmult
    [mod] some more references to the mp multiplication paper and a fix in the
     mpmult test
    [doc] started spec on tp-update protocol
    [enh] mpmult works for all peers even beyond 2t+1
    [enh] added multiparty multiplication - enabling barebones (hazard!)
     updating of tOPRF
    [mod] moved toprf test to tests, some cleanups in tests/makefile
    [enh] added debug target to makefile

  * d/patches/series: disable no-fortify-source.patch: no longer patch
    hardcoded -D_FORTIFY_SOURCE=2 out of makefile, but go with current
    upstream -D_FORTIFY_SOURCE=3. This is yet another attempt to
    close # 1091671.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 11 Jan 2025 13:25:26 +0100

liboprf (0.4.0-1.1) unstable; urgency=medium

  * This release was never uploaded.
  * Add patch to stop enforcing fortify_source flag (Closes: #1091671)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Dec 2024 20:10:03 +0100
