## liboprf 0.7.1

=== debian/changelog ===
liboprf (0.7.1-1) unstable; urgency=medium

  * New upstream, shipped 2025-03-21:
    [mod] use latest functionality in ft-mult fixing some conceptual issues
    [fix] don't crash dkg_vss_share() if t=0
    [mod] missing newline in test output fixed
    [fix] multiplexer actually uses timeouts provided by clients
    [mod] interpolate() doesn't need a return value

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 21 Mar 2025 09:28:02 +0100

liboprf (0.7.0-1) unstable; urgency=medium

  * Note to Debian Release Team: since nothing in current Debian sid reverse
    depends upon liboprf-dev, and only python3-pyoprf reverse depends upon
    liboprf0t64, upgrading from src:liboprf 0.6.1-1 to 0.7.0-1 does not
    "require changes (rebuilds or actual patches) to reverse dependencies";
    therefore does not constite a transition; and therefore, as I understand
    it, is allowed at the current "Transition and Toolchain Freeze" stage of
    the release cycle.

  * New upstream, shipped 2025-03-15:
    [enh] mult shares not validated by commitments are robust during
     toprf-update
    [fix] allow multiplexer to not connect to all peers
    [fix] actually reconstruct arbitrary share/secret in dkg_vss_reconstruct()
    [mod] adapted ft-mult and update-poc to use (and test) new
     dkg_vss_reconstruct
    [enh] added interpolate() to toprf, a much more versatile
     dkg_vss_reconstruct based on it, and refactored TOPRF_Share into toprf.h
    [mod] added ../toprf.c as dep to tests/ft-mult
    [fix] size of oprf input was limited to 255 bytes instead of 65535, thx
     stepanmracek
    [mod] merged commitment0 into commitments in toprf-update and related
     files
    [enh] added ft-mult test
    [mod] many small fixes in toprf-update
    [mod] removed useless lines from dkg-vss.c
    [doc] minor edits to stp-update.txt
    [fix] corruption was too much
    [fix] makefile typo
    [fix] trying to get the vendored kdf to work
    [fix] wrong bitsize for hkdf
    [mod] backward compatibility for hkdf_sha256
    [enh] adopted stp-dkg to stp-update
    [mod] updated gitignores
    [mod] added PoC for very barebones toprf update
    [doc] 1st stab at an stp-update.txt spec
    [fix] more robust deterministic rng in utils.c
    [mod] added toprf-update-corrupt to tests/makefile
    [doc] minor fixes to stp-dkg.txt
    [fix] dgk typo in stp-dkg
    [fix] size of noise peer name
    [fix] types in tp-dkg
    [fix] types in tests/mpmult.c
    [fix] small fixes to stp-dkg.[ch] - use KeyloaderCB type, stp_recv_msg()
     and a typo for SSTP_DKG_Message_Type
    [fix] not using greek letters as variable names in mpmult.c
    [mod] removed unneeded parens from dkg.h
    [mod] minor stp-dkg cleanups
    [doc] fully documented stp-dkg.h
    [doc] minor cleanups in tp-dkg.h
    [mod] refactored S?TP_DKG_Cheater into DKG_Cheater
    [fix] complaints len is not const in handler
    [fix] complaints len was wrongly incremented
    [fix] \\e is not a valid escape in strings according to some
    [mod] made corruption fns static in stp-dkg.c
    [mod] updated mpmult to match toprf-update stuff
    [mod] added WIP toprf-update impl
    [mod] removed corruption fns from tests/stp-dkg.c
    [mod] fixed stack size for tests
    [mod] added corruption functions to stp-dkg.c
    [mod] stp_dkg_corrupt.h not needed anymore
    [mod] fixed dkg_message size in py wrapper
    [doc] mentioned fig 7 for stp-dkg in readme
    [fix] added missing dkg-vss.c to library
    [mod] added tests/toprf-update.c
    [enh] switched stp-dkg impl to use ft-joint-dl-vss from grr98
    [mod] adding ansi colors to utils.h
    [mod] corrected type also in dkg.h
    [mod] corrected type in dkg.c
    [mod] added also version field to dkg message header
    [enh] added a protocol identifier to (s)tp-dkg messages header struct
    [mod] some more refactoring, and fixing steps in stpdkg_cheater_msg()
    [mod] removed obsolete include from stp-dkg.c
    [mod] refactored some of tp-dkg and stp-dkg into dkg.c
    [enh] added first stab at stp-dkg spec, impl and tests
    [mod] made tpdkg_sessionid_SIZE unsigned
    [mod] remove zero-size array undefined c behaviour for non gcc
    [doc] added ngi0 attribution to readme
    [doc] fixed typos in tp-dkg.txt
    [mod] added trace messages for allocation of memory for tp and peers

  * d/liboprf-dev.install: add new header file usr/include/oprf/stp-dkg.h .

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 19 Mar 2025 16:36:10 +0100
