=== debian/control ===
--- 
+++ 
@@ -3,14 +3,19 @@
 Priority: optional
 Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
 Uploaders: Stefan Marsiske <jdx5yg90@ctrlc.hu>
-Build-Depends: debhelper-compat (= 13), dh-exec (>=0.3), pkgconf, libequihash-dev, libsodium-dev
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), dh-exec (>=0.3),
+ pkgconf, libsodium-dev,
+ dh-python, python3-setuptools, python3-all
 Standards-Version: 4.5.1
 Homepage: https://github.com/stef/liboprf
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/liboprf
 Vcs-Git: https://salsa.debian.org/debian/liboprf.git
 
-Package: liboprf0
+Package: liboprf0t64
+Provides: ${t64:Provides}
+Replaces: liboprf0
+Breaks: liboprf0 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -38,3 +43,19 @@
  (https://ia.cr/2017/363).
  .
  liboprf-dev delivers C development files for liboprf.
+
+Package: python3-pyoprf
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}, python3:any, python3-pysodium,
+ liboprf0t64
+Recommends: ${python:Recommends}
+Suggests: ${python:Suggests}
+Description: python bindings for liboprf: Oblivious Pseudo-Random Functions
+ This library implements the basic OPRF (ristretto255, SHA-512) variant from the
+ "Oblivious Pseudorandom Functions using Prime-Order Groups" Draft from the IRTF
+ Crypto Forum Research Group (https://github.com/cfrg/draft-irtf-cfrg-voprf/).
+ Additionally it implements a threshold OPRF based on "TOPPSS: Cost-minimal
+ Password-Protected Secret Sharing based on Threshold OPRF" by Krawczyk et al
+ (https://ia.cr/2017/363).
+ .
+ python3-pyoprf delivers bindings for Python 3.
