## liboprf 0.8.0

=== debian/changelog ===
liboprf (0.8.0-2) unstable; urgency=medium

  * upload to unstable.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 16 Aug 2025 06:23:41 +0200

liboprf (0.8.0-1) experimental; urgency=medium

  * New upstream, shipped 2025-05-30:
    [mod] tpupdate_start_stp() doesn't take a k0_commitments param anymore,
     following the change in the c library
    [mod] make the fuzz binaries fast
    [fix] liboprf.pc include path, and removed fixed prefix
    [mod] improved error message in multiplexer when not enough peers
     respond
    [fix] don't enable debug if not needed in toprf-update
    [mod] don't output commitment fails if there are none in stp-dkg
    [mod] also build liboprf.pc via makefile
    [doc] mentioned session id verification explicitly in stp-dkg spec
    [doc] mentioned session id verification explicitly in stp-update spec
    [doc] stp-update small change removing duplicity stuff
    [enh] check broadcast k0 commitments and abort if anyone has it wrong
     in toprf-update
    [mod] peers broadcast the commitment to their k0 share in their 1st
     step.
    [doc] moved comment to correct location
    [mod] moved noise_sk to toprf_update_peer_start() from set_bufs
    [mod] add install rules for toprf-update.h and utils.h
    [mod] renamed Err_ into STP_DKG_Err_* and TOPRF_Update_Err_* to avoid
     collisions
    [enh] added liboprf.pc
    [mod] small cosmetic fixes to toprf-update
    [enh] switched from parallel kc1/p dkg/ftmult, to p-only dkg/ftmult
    [mod] some small fixes in mpmult.c
    [mod] fixed some more types in toprf-update
    [fix] lots of type conversion warnings fixed in toprf-update.c
    [mod] also revert removing toprf_update_stp_input_sizes() from .h
    [doc] clusterbombed toprf_update.h with docstrings
    [mod] also removed toprf_update_peerstate_lt_sk() from py bindings
    [mod] actually abort if invalid n/t params in tests/toprf-update.c
    [mod] zeroize some bufs in toprf_update_peer_set_bufs()
    [mod] removed unnecessary toprf_update_peerstate_lt_sk()
    [doc] added some doc strings to tp-dkg.h
    [doc] fixes in stp-dkg.h comments
    [mod] clear complaints in stp_set_bufs of toprf-update
    [fix] cheaters list is now n^2-1 instead of t^2-1 in toprf-update test
    [mod] add assert to toprf-update.py where updated_test ==
     updated_oprfed_test
    [fix] abort protocol if cheaters list is full
    [fix] reciprocating delta in toprf-update
    [enh] added python wrappers for stp-dkg and toprf-update
    [fix] fuzz makefile for toprf-update builds corrupt version and
     correctly sets input tc dep
    [mod] disable some stuff for better fuzzing toprf-update
    [fix] honor noise handshake errors in toprf-update
    [enh] pass noise sk to start_peer() in toprf-update
    [enh] added extractors of commitments and kc1 share to toprf-update
    [mod] removed some comments/empty lines, and obsolete stuff from
     toprf-update
    [fix] provide noise sk in stp_dkg_start_peer()
    [fix] respect noise handshake errors in stp-dkg
    [enh] persist final commitments and provide extractors for them in
     stp-dkg
    [mod] dkg_dump_msg prints a trailing newline if debug==1
    [enh] added toprf-update to liboprf
    [mod] added toprf-update tests to make tests
    [enh] added fuzzing framework for toprf-update
    [enh] added fuzz harness to test/toprf-update.c
    [mod] renamed fuzz to fuzz-tp-dkg
    [mod] removed unused steps from toprf-update enums
    [fix] small fixes to toprf-update
    [doc] small update to stp-update.txt
    [doc] removed tp-update.txt
    [doc] massive update to the toprf-update spec - parity with
     implementation
    [mod] use disclose_shares() also in final mult disclose of toprf-update
    [mod] use disclose shares for zk disclose in toprf-update
    [enh] 1st half/third? done of not disclosing duplicate shares for
     reconstruction
    [mod] minor cosmetic changes mostly comment related in toprf-update
    [fix] robustness in toprf-update - now all corruptions are corrected -
     if they don't overlap and hide each other
    [mod] unsigned -> uint8_t in a loop var
    [mod] removed some "noisy" log msgs from dkg.c
    [mod] toprf-update is now robust, still needs testing and fixing
    [mod] removed dead code from dkg-vss (was from dkg)

  - d/liboprf-dev.install: install new files
    usr/include/oprf/{toprf-update,utils}.h and usr/share/pkgconfig/liboprf.pc

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 31 May 2025 05:43:51 +0200
