## liboprf 0.9.2

=== debian/changelog ===
liboprf (0.9.2-2) unstable; urgency=medium

  * d/control: add liboprf0t64 (= ${binary:Version}) to liboprf-dev
    Depends.  Thanks Adrian Bunk.  Closes: #1118959
  * d/control: tighten liboprf0t64 Depends in python3-pyoprf: add
    (>= ${binary:Version}).  Thanks again Adrian Bunk.  And keep this safely
    binNMUable; thanks lintian.
  * d/control: drop "Rules-Requires-Root: no", it is the default now.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 28 Oct 2025 04:16:06 +0100

liboprf (0.9.2-1) unstable; urgency=medium

  * New upstream 0.9.2, shipped Aug 31, 2025. Closes: #1111937

    [ Joost van Baal-Ilic ]
     [fix] add CPPFLAGS to makefile targets
      Current liboprf fails ci/cd because of "build log hardening check":
      The Debian build pipeline sets CPPFLAGS to pass e.g.
      -D_FORTIFY_SOURCE and liboprf's makefiles do not honor that.

    [ stf ]
     [fix] filename to ignore in build.zig
     [mod] exclude xk-ex.c from zig build of static lib
     [enh] updated build.zig(.zon) to also link statically libsodium
     [enh] added build.zig - currently only producing a static lib, but
      that should be enough for usage as a zig module
     [fix] bad dep, correct pyserial-asyncio
     [fix] make noise_xk/example also packaging friendly


  * New upstream 0.9.1, shipped Aug 24, 2025.  (Missed 0.9.0, which _also_
    shipped Aug 24, 2025.)

    [ stf, Aug 2025 ]
     [enh] make makefiles more packaging friendly
     [mod] bumped pyoprf to v0.9.0
     [mod] bumped to v0.8.0
     [mod] undo some cleanup fixes
     [fix] some more sonarqube nits
     [fix] some sonarqube nits
     [fix] tests/makefile missing space
     Merge branch 'flynn162-build'
     [mod] replaced dynamic rules with one explicit rule for the sodium
       vendored source
     [fix] added missing uninstall files
     [mod] removed refs to liboprf.a from tests/makefile
     [enh] added support for usb/serial devices in multiplexer.py
     [enh] added alpn support, defaults to "oprf/1" protocol
     [enh] added support for usb/serial devices in multiplexer.py
     [enh] added alpn support, defaults to "oprf/1" protocol

    [ flynn162 <54922775+flynn162@users.noreply.g.c>, Jul 2025 ]
     makefile: fix uninstall-oprf rule
     makefile: Compile libsodium objects with static linking DEFINES
      - Pass in `-DSODIUM_STATIC=1 -DSODIUM_EXPORT=""` to hide the
          libsodium symbols that we vendorized into liboprf
      - In the previous commit, `-fvisibility=hidden` was over-ruled by
          SODIUM_EXPORT
      - Ref: <https://libsodium.gitbook.io/doc/usage>
     makefile: suppress implicit rules, add terminal colors
      - Build all objects explicitly. The rules are generated by putting
          `eval` inside a `foreach` loop. Guides for writing dynamic rules
          are in the comments.
      - `$(info )` : The space is strictly required.
     makefile: Clean up 'aux_/*.o'
     makefile: Build objects with -ffunction-sections -fdata-sections
     makefile: Package the merged localized object into liboprf_release.a
     makefile: filter out the .so file from compiler input, add rules for
      object merging
     Makefile improvements (#12)
      * makefile: Add -Werror=attributes -Werror=format-truncation
      * makefile: Use more robust detections for pkgconf and libsodium
      * makefile: Add an option to use '$ORIGIN' rpath in the final dylib

   [ stf, Jun 2025 ]
     [enh] adds support to be used as a zephyr module
     [fix] snprintf off-by-one overflow in stp-dkg.c and toprf-update.c
     [doc] fix spellings, add copyright to header files (#10)
     Merge branch 'hide-private-syms'
     [mod] start a new asyncio event loop if there is none
     [fix] pointer returned from fn with hidden symbol in dkg.c
     [mod] hidden symbol for invertedVDMmatrix
     [mod] prefixed expand_message_xmd with oprf_
     [fix] should hide some symbols that are mostly internal and likely
       collide with other symbols in linked projects
     Merge branch 'enjeck-uodate-header'
     [mod] minor doc & cosmetic fixes in header files
     [mod] minor cosmetic & documentation fixes in mpmult.[ch]
     [mod] minor cosmetic and documentation fixes in dkg.[ch]
     [mod] moved  dkg_vss_verify_commitments() to tests/, and some minor
       cosmetic or doc fixes
     Merge branch 'uodate-header' of github.com:enjeck/liboprf into
       enjeck-uodate-header
     Merge branch 'enjeck-update-readme'
     [doc] small updates to enjecks amazing readme edits
     Merge branch 'update-readme' of github.com:enjeck/liboprf into
       enjeck-update-readme
     [enh] multiplexer is now asyncio and has a new BLEPeer class that
       supports peers over Bluetooth LE if the ble_serial module is
       available
     [mod] added src/liboprf.pc to .gitignore
     [mod] added allocations to .gitignore
     [enh] added test that calculates the size of memory allocations for
       toprf-update

   [ Enjeck C <patrathewhiz@g.c> Jun 2025 +0100 ]
     [doc] fix spelling
     [doc] improve header file docs
     [doc] improve READMEs


  * debian/patches/{series,cppflags.patch}: patch added: patch in even more
    missing CPPFLAGS in makefiles.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 03 Sep 2025 06:31:42 +0200
