=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  dh-python, python3-setuptools, python3-all
 Standards-Version: 4.5.1
 Homepage: https://github.com/stef/liboprf
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/liboprf
 Vcs-Git: https://salsa.debian.org/debian/liboprf.git
 
@@ -33,7 +32,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, liboprf0t64 (= ${binary:Version})
 Description: OPRF and Threshold OPRF library - C development files
  This library implements the basic OPRF (ristretto255, SHA-512) variant from the
  "Oblivious Pseudorandom Functions using Prime-Order Groups" Draft from the IRTF
@@ -47,7 +46,7 @@
 Package: python3-pyoprf
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python3:any, python3-pysodium,
- liboprf0t64
+ liboprf0t64 (>= ${binary:Version})
 Recommends: ${python:Recommends}
 Suggests: ${python:Suggests}
 Description: python bindings for liboprf: Oblivious Pseudo-Random Functions
