=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,8 @@
 # debhelper(7), dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-# export DEB_CFLAGS_MAINT_APPEND = -fPIC -D_DEFAULT_SOURCE
-export DEB_CFLAGS_MAINT_APPEND = -fPIC
+# -I flags for src/noise_xk/makefile and for example/makefile
+export DEB_CFLAGS_MAINT_APPEND = -fPIC -Iinclude -Iinclude/karmel -Iinclude/karmel/minimal -I../include -I../include/karmel -I../include/karmel/minimal -I../..
 
 # export DEB_CPPFLAGS_MAINT_APPEND = -D_DEFAULT_SOURCE
