## liboprf 0.9.3

=== debian/changelog ===
liboprf (0.9.3-1) unstable; urgency=medium

  * New upstream 0.9.3, shipped Dec 15, 2025.

    [ stf, Oct 2025 ]
     [fix] misset debug flag in toprf-update causing spurious debug output
     [mod] disable debug in multiplexer.py
     [enh] generate seperate debug info file from shared lib
     [mod] removed leaked local jdk21 include params from the makefile, use
      EXTRA_CFLAGS on the make cmdline to set them
     [fix] android target in makefile, seems to work now. also introduces
      a new EXTRA_CFLAGS param that can be used to expand the default
      cflags
     [fix] liboprf-corrupt-dkg.so is actually corrupting - was broken after
      visibility fixes and makefile makeovers
     [mod] added -g to default cflags
     [mod] renamed debug and log_file with a liboprf prefix and made them
      globally visible again
     [mod] display big red warning if corrupt test lib is loaded in pyoprf
      via BYZANTINE_DKG env var
     [fix] don't include jni.c in zig build
     [mod] update build.zig.zon libsodium dep to be compatible with zig
      v0.15.1

    [ András Veres-Szentkirályi <vsza@vsza.hu>, Oct 2025 ]
     * fixed yet another hardcoded uname invocation (#17)
     * Remaining changes for libsphinx-less Androsphinx (#16)
     * revert .so to SOEXT: without this, Android cross-compile only works
        on hosts with SOEXT=.so
     * added experimental JNI bindings
     * JNI getInputSizes: return bool as well
     * moved generic libsodium JNI bindings from libsphinx

    [ András Veres-Szentkirályi <vsza@vsza.hu>, Sept 2025 ]
     [enh] Experimental JNI bindings (#15)
     [ Added support for cross-compilation (#14) ]
     * remove `-g` and `-march=native`
     * make ld configurable
     * allow UNAME + ARCH to be supplied for cross-compile
     * ARMv7 does not support -fstack-clash-protection either
     * added Android-specific makefile targets

    [ stf, Sept 2025 ]
    [fix] noise xk example unterminated string error in modern compilers

    [ Joost van Baal-Ilić, Aug, Sep 2025 ]
     Current liboprf fails ci/cd because of "build log hardening check":
     The Debian build pipeline sets CPPFLAGS to pass e.g.
     -D_FORTIFY_SOURCE and liboprf's makefiles do not honor that
     everywhere.
    [mod] add CPPFLAGS to CC call in makefiles
    [fix] add CPPFLAGS to makefile targets


  * d/patches/series: drop cppflags.patch: applied upstream.

  * d/not-installed: add usr/lib/liboprf.so.debug and
    usr/lib/debug/usr/lib/liboprf.so.debug.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 17 Jan 2026 10:12:28 +0100
